curl --request PATCH \
--url https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'administration_id=<string>' \
--data 'fields=<string>'import requests
url = "https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable"
payload = {
"administration_id": "<string>",
"fields": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({administration_id: '<string>', fields: '<string>'})
};
fetch('https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "administration_id=%3Cstring%3E&fields=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable"
payload := strings.NewReader("administration_id=%3Cstring%3E&fields=%3Cstring%3E")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("administration_id=%3Cstring%3E&fields=%3Cstring%3E")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "administration_id=%3Cstring%3E&fields=%3Cstring%3E"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"account_type": "bank",
"is_default": true,
"enabled": true
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Disable a ledger account
Accounting (beta). Retires an added account that is in use: no new or changed invoice line can name it, while what is booked on it and the invoice lines already naming it stay as they are. It can be enabled again. The default account of a type cannot be disabled.
curl --request PATCH \
--url https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'administration_id=<string>' \
--data 'fields=<string>'import requests
url = "https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable"
payload = {
"administration_id": "<string>",
"fields": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({administration_id: '<string>', fields: '<string>'})
};
fetch('https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "administration_id=%3Cstring%3E&fields=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable"
payload := strings.NewReader("administration_id=%3Cstring%3E&fields=%3Cstring%3E")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/x-www-form-urlencoded")
.body("administration_id=%3Cstring%3E&fields=%3Cstring%3E")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paytsoftware.com/v1/ledger_accounts/{id}/disable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/x-www-form-urlencoded'
request.body = "administration_id=%3Cstring%3E&fields=%3Cstring%3E"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"account_type": "bank",
"is_default": true,
"enabled": true
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Path Parameters
Ledger account identifier
Body
Response
Ledger account
CustomerApi_V1_LedgerAccountEntity model
Unique identifier
Account code
Account name
Account type, which determines what Payt books on the account. Accounts of type revenue, recharges, deposit_payables can be added. An invoice line can book on an account of type revenue, recharges, deposit_payables, pre_payments.
bank, outgoing_payments, cash, pos_payments, transfers_in_transit, bookkeeping_settlements, opening_balances, customer_receivables, deferred_receivables, psp_receivables, insurer_receivables, accrued_revenue, vat_receivables, supplier_payables, deposit_payables, vat_payables, deferred_revenue, pre_payments, unmatched_payments, revenue, recharges, administration_levies, interest_levies, debt_collection_levies, interest_income, written_off_credits, payment_difference_gains, rounding_difference_gains, exchange_gains, collection_fees, psp_costs, bank_costs, interest_expenses, bad_debt, payment_difference_losses, rounding_difference_losses, exchange_losses Whether this is the standard account of its type, which Payt books on unless an invoice line names another account
Whether new invoice lines can choose this account
Was this page helpful?